Subject: Re: [PATCH v2] Do not show "diff --git" metainfo with --no-prefix

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Jan 2008 18:42:13 -0800

Johannes Schindelin <[email-masked]> writes:

>> While we are discussing about diff, there is one thing that has been 
>> bugging me occasionally, but the annoyance factor has not motivated me 
>> enough to look into it myself, because I do not use it often: 
>> --color-words.  It appears that it shows lines that do not have any word 
>> differences in bold (whatever diff.color.meta is configured) and I think 
>> it should use plain color instead.
>> 
>> Was this intentional, or just a simple plain bug?
>
> Plain bug.  I even meant to implement your suggestion of having a variable 
> set of non-word characters, but never came around to work on it.  
> Hopefully this weekend...

I am not sure what that variable is about, but in the code you
have fn_out_diff_words_aux() that uses OLD/NEW/PLAIN and I do
not see where  you try to color anything to METAINFO color.

Perhaps you are talking about a different problem?  I am a bit
confused...